Subject: Re: Re: Problems with find
From: <[email-masked]>
To: "CarloFlorendo" <[email-masked]>, [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 5 Feb 2003 17:35:00 +0100

[email-masked] schrieb am 31.01.03 16:47:10:
> 
> For the archives: No.  This is not going to do what the OP wants at all.
> In fact, if there's more than one file named 1000.*, it won't even work
> (find will produce a "find: paths must precede expression" error).  For
> details, "info find" and "info bash".
> 
> To the OP: Is your 1000 directory a symbolic link, by any chance?  If it
> is, try the "-follow" option.  For details, "info find".
> 	Igor
> 
Thanks for the hint with -follow it worked, but the directory 1000 is not a symbolic link as you can see

$ find . -name 1000\* -follow
./1000.zip
./1000
./1000/1000.zip

$ ls -ld 1000
drwxr-xr-x    2 f.braunb unknown         0 Jan 31 08:33 1000

$ ls -l 1000*
-rw-r--r--    1 f.braunb unknown  162114808 Jan 30 14:57 1000.zip

1000:
total 158316
-rw-r--r--    1 f.braunb unknown  162114808 Jan 31 08:33 1000.zip

Could this be a bug?

    Franz

> On Fri, 31 Jan 2003, Carlo Florendo wrote:
> 
> > find . -name 1000.*
> >
> > ----- Original Message -----
> > From: <[email-masked]>
> > To: <[email-masked]>
> > Sent: Friday, January 31, 2003 5:57 PM
> > Subject: Problems with find
> >
> >
> > Hi folks,
> >
> > I trie to search file with find an didn't find all the file which should be
> > found
> >
> > I search for all file starting with 1000 an the file 1000.zip in the
> > diretory 1000 is not found
> > $ find . -name 1000\*
> > ./1000.zip
> > ./1000
> >
> > but when I ls the directory 1000 the file is listed
> > $ ls 1000
> > 1000.zip
> >
> > As you can see I use the find installed in /usr/bin
> > $ which find
> > /usr/bin/find
> > $ type find
> > find is hashed (/usr/bin/find)
> >
> >
> > what is wrong? Is it a bug or my fault?
> >
> > Thanks for any help and hint
> >
> > Franz
> 
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> Oh, boy, virtual memory! Now I'm gonna make myself a really *big* RAMdisk!
>   -- /usr/games/fortune
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

______________________________________________________________________________
Keine Chance für Viren! Mit WEB.DE FreeMail sind Sie auf der
sicheren Seite - Virenschutz inklusive! http://freemail.web.de/features/?mc=021129

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/